> ## Documentation Index
> Fetch the complete documentation index at: https://docs.prelude.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Look up for phone number

> Perform a phone number lookup.

<Warning>
  The V1 API is **deprecated**. Technical support will end by **October 2025** and will be **removed by April 2026**. No new features nor functionality will be added to the V1 API. Please use the [V2 Lookup API](/intel/v2/documentation/introduction) instead.
</Warning>


## OpenAPI

````yaml get /lookup/{phone_number}
openapi: 3.1.0
info:
  title: Ding
  version: 1.0.0
  description: >-
    The OTP API allows you to send authentication codes to your users using
    their phone numbers. The V1 API is **deprecated**. Technical support will
    end by **October 2025** and will be **removed by April 2026**. No new
    features and functionality will be added to the V1 API.
  contact:
    email: support@prelude.so
servers:
  - url: https://api.ding.live/v1
    description: The production Ding API server
security:
  - APIKey: []
tags:
  - name: OTP
    description: Send OTP codes to your users using their phone numbers.
  - name: Lookup
    description: Retrieve up-to-date metadata about a specific phone number
paths:
  /lookup/{phone_number}:
    get:
      tags:
        - Lookup
      summary: Look up for phone number
      description: Perform a phone number lookup.
      operationId: lookup
      parameters:
        - in: header
          name: customer-uuid
          schema:
            type: string
            format: uuid
            description: >-
              Your customer UUID, which can be found in the API settings in the
              dashboard.
          required: true
        - in: query
          name: type
          schema:
            type: array
            format: string
            items:
              type: string
              enum:
                - cnam
            description: |
              Optional features. Possible values are:
                * `cnam` - Retrieve CNAM (Caller ID Name) along with other information. Contact us if you need to use this functionality.
        - in: path
          name: phone_number
          required: true
          schema:
            type: string
            format: phone_number
            description: An E.164 formatted phone number to look up.
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LookupResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      deprecated: true
components:
  schemas:
    LookupResponse:
      type: object
      properties:
        phone_number:
          type: string
          format: phone_number
          examples:
            - '+1234567890'
          description: An E.164 formatted phone number.
        mcc:
          type: string
          examples:
            - '310'
          description: The mobile country code of the phone number.
        mnc:
          type: string
          examples:
            - '410'
          description: The mobile network code of the phone number.
        caller_name:
          type: string
          description: >-
            The CNAM (Caller ID Name) associated with the phone number. Contact
            us if you need to use this functionality. Once enabled, put `cnam`
            option to `type` query parameter.
        carrier:
          type: string
          examples:
            - AT&T
          description: The carrier of the phone number.
        country_code:
          type: string
          examples:
            - US
          description: The ISO 3166-1 alpha-2 country code of the phone number.
        number_ported:
          type: boolean
          description: Whether the phone number has been ported.
        temporary_phone_number:
          type: boolean
          description: >-
            Whether the phone number is in our database of disposable, temporary
            phone numbers
        line_type:
          type: string
          examples:
            - Mobile
          enum:
            - CallingCards
            - FixedLine
            - InternetServiceProvider
            - LocalRate
            - Mobile
            - Other
            - Pager
            - PayPhone
            - PremiumRate
            - Satellite
            - Service
            - SharedCost
            - ShortCodesCommercial
            - TollFree
            - UniversalAccess
            - Unknown
            - VPN
            - VoiceMail
            - Voip
          description: |
            The type of phone line.
              * `CallingCards` - Numbers that are associated with providers of pre-paid domestic and international calling cards.
              * `FixedLine` - Landline phone numbers.
              * `InternetServiceProvider` - Numbers reserved for ISPs.
              * `LocalRate` - Numbers that can be assigned non-geographically.
              * `Mobile` - Mobile phone numbers.
              * `Other` - Other types of services.
              * `Pager` - Number ranges specifically allocated to paging devices.
              * `PayPhone` - Allocated numbers for payphone kiosks in some countries.
              * `PremiumRate` - Landline numbers where the calling party pays more than standard.
              * `Satellite` - Satellite phone numbers.
              * `Service` - Automated applications.
              * `SharedCost` - Specific landline ranges where the cost of making the call is shared between the calling and called party.
              * `ShortCodesCommercial` - Short codes are memorable, easy-to-use numbers, like the UK's NHS 111, often sold to businesses. Not available in all countries.
              * `TollFree` - Number where the called party pays for the cost of the call not the calling party.
              * `UniversalAccess` - Number ranges reserved for Universal Access initiatives.
              * `Unknown` - Unknown phone number type.
              * `VPN` - Numbers are used exclusively within a private telecommunications network, connecting the operator's terminals internally and not accessible via the public telephone network.
              * `VoiceMail` - A specific category of Interactive Voice Response (IVR) services.
              * `Voip` - Specific ranges for providers of VoIP services to allow incoming calls from the regular telephony network.
    ErrorResponse:
      type: object
      properties:
        code:
          type: string
          examples:
            - invalid_phone_number
          description: A machine-readable code that describes the error.
          enum:
            - account_invalid
            - app_realm_require_device_type
            - bad_request
            - blocked_number
            - internal_server_error
            - invalid_app_realm
            - invalid_app_version
            - invalid_auth_uuid
            - invalid_device_id
            - invalid_device_model
            - invalid_line
            - invalid_os_version
            - invalid_phone_number
            - invalid_sender_id
            - invalid_template_id
            - negative_balance
            - no_associated_auth_found
            - suspended_account
            - unauthorized_sender_id
            - unsupported_app_realm_device_type
            - unsupported_region
        message:
          type: string
          examples:
            - +0 is not a valid phone number
          description: A human-readable message that describes the error.
        doc_url:
          type: string
          description: A link to the documentation that describes the error.
          examples:
            - >-
              https://docs.prelude.so/verify/v1/documentation/errors#invalid_phone_number
  securitySchemes:
    APIKey:
      name: x-api-key
      type: apiKey
      in: header
      x-speakeasy-example: YOUR_API_KEY

````